/* Google Fonts */

/* Roboto Slap */
@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100..900&display=swap');

/* Montserrat */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

/* Estils Generals */

body{
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

/* 1. Estat inicial per a les seccions de la Home */
.about-section, 
.logos-section,
.hero-content, 
.contact-section .form-wrapper {
    opacity: 0;
    transform: translateY(40px);
    transition: all 0.8s ease-out;
}

/* 2. Classe d'activació */
.reveal-visible {
    opacity: 1 !important;
    transform: translateY(0) !important;
}

/* 3. Efecte "cascada" per a la graella de logos */
.logo-item {
    opacity: 0;
    transform: scale(0.8);
    transition: all 0.5s ease-out;
}

.logos-section.reveal-visible .logo-item {
    opacity: 1;
    transform: scale(1);
}


/* Configuració de la Secció Hero */
.hero-section {
  position: relative;
  height: 90vh;
  width: 100%;
  background-image: 
  linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.5)), 
  url('../img/brasa.png');
  background-size: cover;
  background-position: center;
  background-attachment: fixed; 

  display: flex;
  flex-direction: column;
  color: white;
  overflow: hidden;
  font-family: 'Playfair Display', serif; 
}

/* La Quadrícula (Grid Overlay) */
.grid-overlay {
    z-index: 1;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: 15% 25%; /* Ajusta aquests % per canviar la mida dels quadrats */
    pointer-events: none; /* Perquè no interfereixi amb els clics */
}



/* Contingut Central */
.hero-content {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding-left: 6%; 
  z-index: 10;
  margin-top:-90px;
}

.hero-title {
  font-size: 7rem;
  font-style: italic;
  line-height: 1.5;
  font-weight: 400;
  margin-bottom: 20px;
  margin-top: 0;
}

/* El botó Groc "PROBA'NS" */
.btn-proba {
  background-color: #f1bc2d;
  color: #222;
  padding: 15px 45px;
  font-family: 'Montserrat', sans-serif;
  font-weight: 200; /* Molt fina */
  font-size: 3.5rem;
  letter-spacing: 8px;
  text-decoration: none;
  display: inline-block;
}

/* Logotip inferior */
.brand-footer {
  margin-top: 30px;
  font-family: 'Montserrat', sans-serif;
  font-size: 1.5rem;
  letter-spacing: 2px;
}

.brand-footer img{
  width: 350px;
  height: auto;
  margin-left: -30px;
}

/* SECCIÓ ABOUT */


.about-section {
    padding: 6% 10% 6% 6%; 
    background-color: #ffffff;
    display: flex;
    justify-content: center;
}

.about-section .container {
    display: flex;
    align-items: flex-start; /* Alinea el text al principi de la imatge */
    gap: 60px; /* Espai entre imatge i text */
}

.about-image img {
    width: 494px;
    height: auto;
    display: block;
}

.about-text {
    flex: 1.5; /* Dona una mica més d'espai al text */
    font-family: 'Montserrat', sans-serif;
    color: #666; /* Color gris suau */
    line-height: 1.6; /* Interlineat per facilitar la lectura */
    font-size: 21px;
    font-weight: 300; /* Lletra fineta */
}

.about-text p {
    margin-bottom: 25px; /* Espai entre paràgrafs */
}


/* SECCIÓ LOGOS DEL GRUP */

.logos-section {
    padding: 80px 50px;
    background-color: #fff;
    display: flex;
    justify-content: center;
}

.logos-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 40px; 
    max-width: 1100px;
    width: 100%;
    align-items: center; 
}

.logo-item {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

.logo-item img {
    max-width: 100%;
    height: auto;
    
}

/* Hover opcional per als logos */
.logo-item img:hover {
    filter: grayscale(0%);
}


/* SECCIÓ DE CONTACTE */

.contact-section {
    background-color: #2A2D2C; 
    color: white;
    
}

.contact-container {
    margin: 0 auto;
    position: relative;
    z-index: 2; 
}

.italic-serif {
    font-family: 'Playfair Display', serif;
    font-style: italic; 
    color: #f1bc2d; 
   
}


.info-card {
    background-color: #f1bc2d;
    border: solid 1px #000000;
    color: #333;
}


.card-details p {
    color:#000000;
    padding-left: 8%;
}

.card-details a {
    font-family: 'Montserrat', sans-serif;
    color:#000000;
}




.form-intro {
    color: #fff;
}

.input-group {
    margin-bottom: 15px;
}

.input-group input, .input-group textarea {
    border: 1px solid #F9C83B;
    color: white;
    font-family: 'Montserrat', sans-serif;
}

.input-group input:focus, .input-group textarea:focus {
    border-color: #fff;
    
}

.form-footer {
    font-family: 'Montserrat', sans-serif;
    font-size: 0.8rem;
}

::placeholder {
    color:#808080;
    
}


.btn-submit {
    background-color: #F9C83B; 
    color: #1a1a1a;
    
}

.btn-submit:hover {
    background-color: #F9C83B70;
    
}

.main-footer {
    background-color: #2A2D2C;
    color: white;
}

.footer-social a {
    background-color: #f1bc2d;
    color: #1a1a1a;
}

.footer-nav a {
    color: #fff;
}




